ViennaCL - The Vienna Computing Library: viennacl::ocl::platform Class Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
viennacl::ocl::platform Class Reference

Wrapper class for an OpenCL platform. More...

`#include <platform.hpp>`

## Public Member Functions
| platform (vcl_size_t pf_index=0)
| platform (cl_platform_id pf_id)
| platform (platform const &other)
void | operator= (cl_platform_id pf_id)
cl_platform_id | id () const
std::string | info () const
| Returns an information string. More...
std::vector< device > | devices (cl_device_type dtype=CL_DEVICE_TYPE_DEFAULT)
| Returns the available devices of the supplied device type. More...

## Detailed Description

Wrapper class for an OpenCL platform.

This class was written when the OpenCL C++ bindings haven't been standardized yet. Regardless, it takes care about some additional details and is supposed to provide higher convenience.

Examples:
  amg.cpp, custom-context.cpp, multithreaded.cpp, multithreaded_cg.cpp, and spai.cpp.

Definition at line 45 of file platform.hpp.

## Constructor & Destructor Documentation

viennacl::ocl::platform::platform | ( | vcl_size_t | pf_index = `0` | ) |
| inline

Definition at line 49 of file platform.hpp.

viennacl::ocl::platform::platform | ( | cl_platform_id | pf_id | ) |
| inline

Definition at line 63 of file platform.hpp.

viennacl::ocl::platform::platform | ( | platform const & | other | ) |
| inline

Definition at line 64 of file platform.hpp.

## Member Function Documentation

std::vector<device> viennacl::ocl::platform::devices | ( | cl_device_type | dtype = `CL_DEVICE_TYPE_DEFAULT` | ) |
| inline

Returns the available devices of the supplied device type.

Examples:
  amg.cpp, custom-context.cpp, multithreaded.cpp, multithreaded_cg.cpp, and spai.cpp.

Definition at line 91 of file platform.hpp.

cl_platform_id viennacl::ocl::platform::id | ( |  | ) | const
| inline

Definition at line 68 of file platform.hpp.

std::string viennacl::ocl::platform::info | ( |  | ) | const
| inline

Returns an information string.

Examples:
  custom-context.cpp.

Definition at line 71 of file platform.hpp.

void viennacl::ocl::platform::operator= | ( | cl_platform_id | pf_id | ) |
| inline

Definition at line 66 of file platform.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/platform.hpp